Package libssh2 :: Module sftp :: Class Sftp

[frames] | no frames]

# Class Sftp

source code

    object --+
             |
            Sftp

Sftp object

Instance Methods

__init__(self) Create a new Sftp object. | source code

close(self) | source code

opendir(self) | source code

readdir(self) | source code

listdir(self) | source code

open(self) | source code

shutdown(self) | source code

read(self) | source code

write(self) | source code

tell(self) | source code

seek(self) | source code

unlink(self) | source code

rename(self) | source code

mkdir(self) | source code

rmdir(self) | source code

realpath(self) | source code

symlink(self) | source code

getstat(self) | source code

setstat(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

Create a new Sftp object.

Overrides: object.__init__